#!/bin/bash

setup() {
	source ../generatetask
}

test_taskl_runs_task_with_correct_parameters() {
	fake task 'echo "task ${FAKE_PARAMS[@]}"'
	expected="task rc.verbose:nothing rc.report.list.columns:id rc.report.list.labels:id list"

	result="$(taskl)"

	assert_equals "$expected" "$result"
}

test_taskl_runs_task_with_custom_parameters() {
	fake task 'echo "task ${FAKE_PARAMS[@]}"'
	expected="task rc.verbose:nothing rc.report.list.columns:id rc.report.list.labels:id +ACTIVE -BLOCKED list"

	result="$(taskl +ACTIVE -BLOCKED)"

	assert_equals "$expected" "$result"
}
